﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BadgeViewDemo
{
    public partial class MainPage : ContentPage,INotifyPropertyChanged
    {
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = this;
            BadgeText = "new";
            picker.SelectedItem = "Visible";
        }

        private void Picker_SelectedIndexChanged(object sender, EventArgs e)
        {
            var picker = (Picker)sender;
            int selectedIndex = picker.SelectedIndex;
            if (selectedIndex == 0)
            {
                BadgeText = "new";
            }
            else
            {
                BadgeText = "";
            }
        }

        private string badgeText;
        public string BadgeText
        {
            get { return badgeText; }
            set { badgeText = value; OnPropertyChanged("BadgeText"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;


        protected void OnPropertyChanged(string propertyName)
        {
          
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
